com.sun.jna.platform.win32

## Class Winnetwk.RESOURCETYPE

- java.lang.Object
- - com.sun.jna.platform.win32.Winnetwk.RESOURCETYPE

Enclosing class:
  Winnetwk

    public class Winnetwk.RESOURCETYPE
    extends java.lang.Object

The type of resource. This member can be one of the following values defined in the Winnetwk.h header file. NOTE: This are for the dwType member of NetResource

### Field Summary

Fields
`static int` `RESOURCETYPE_ANY` All resources
`static int` `RESOURCETYPE_DISK` Disk resources
`static int` `RESOURCETYPE_PRINT` Print resources
`static int` `RESOURCETYPE_RESERVED` NOTE: Definition for this is not defined in Windows Kits nor on MSDN
`static int` `RESOURCETYPE_UNKNOWN` The WNetEnumResource function can also return the value RESOURCETYPE_UNKNOWN if a resource is neither a disk nor a print resource.

### Constructor Summary

Constructors
Constructor and Description
`RESOURCETYPE()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RESOURCETYPE_ANY

    public static final int RESOURCETYPE_ANY

All resources

See Also:
  Constant Field Values

#### RESOURCETYPE_DISK

    public static final int RESOURCETYPE_DISK

Disk resources

See Also:
  Constant Field Values

#### RESOURCETYPE_PRINT

    public static final int RESOURCETYPE_PRINT

Print resources

See Also:
  Constant Field Values

#### RESOURCETYPE_RESERVED

    public static final int RESOURCETYPE_RESERVED

NOTE: Definition for this is not defined in Windows Kits nor on MSDN

See Also:
  Constant Field Values

#### RESOURCETYPE_UNKNOWN

    public static final int RESOURCETYPE_UNKNOWN

The WNetEnumResource function can also return the value RESOURCETYPE_UNKNOWN if a resource is neither a disk nor a print resource.

See Also:
  Constant Field Values

### Constructor Detail

#### RESOURCETYPE

    public RESOURCETYPE()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.